App 버전 이력
curl --request GET \
--url https://api.example.com/v1/data-apps/{app_id}/versionsimport requests
url = "https://api.example.com/v1/data-apps/{app_id}/versions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/data-apps/{app_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"version": "<string>",
"yanked": true,
"created_at": "<string>",
"build_id": "<string>"
}
]
}Discovery
App 버전 이력
게시 버전 목록. 최신순.
GET
/
v1
/
data-apps
/
{app_id}
/
versions
App 버전 이력
GET https://api-datahub.octoparse.com/v1/data-apps/{app_id}/versions
인증: 선택. API 키가 있으면 로그인 필요 뷰 App도 보일 수 있습니다.
게시된 전체 버전. 최신순. 상세·실행 기본은 최신. version으로 과거 Release 고정.
yank된 버전도 이력에 남고 플래그. latest 해석 대상 제외·신규 실행 거부. 기존 결과 데이터는 읽을 수 있음.
요청
경로 파라미터
string
필수
App 참조:
app_<hex> 또는 <namespace>/<app_name>.요청 예시
curl -H "Authorization: Bearer $OCTOPARSE_API_KEY" "https://api-datahub.octoparse.com/v1/data-apps/carol/probe-b/versions"
응답
200 성공
{
"data": {
"items": [
{
"version": "0.2.0",
"yanked": false,
"created_at": "2026-09-01T08:00:00+00:00",
"build_id": "bld_123"
}
]
}
}
data로 감쌉니다. 필드:
array
필수
오류
| HTTP | code | category | 설명 |
|---|---|---|---|
| 401 | unauthorized | forbidden | API 키 누락 또는 무효. |
| 404 | app-not-found | not_found | App 없거나 비가시. |
{"error": {code, category, message, retryable}}입니다. 오류 참고.